/**********************************************************/
/*                                                        */
/*              AGENTE CLIENTE SIMULADOR WEBOT            */
/*                                                        */
/**********************************************************/   
  
import java.net.*;
import java.io.*;

public class Agentetcp {
    
    public static void main(String[] args) {

	int port = 10020;
	String server = "158.42.185.170";
	Socket socket = null;
	String lineToBeSent;
	BufferedReader input_teclado;
	BufferedReader input_socket;
	PrintWriter output_pantalla;
	PrintWriter output_socket;

	int ERROR = 1;
	
	// read arguments 
	/*	if(args.length == 2) {
	    server = args[0];
	    try { 
		port = Integer.parseInt(args[1]);
	    }
	    catch (Exception e) {
		System.out.println("server port = 10020 ");
		port = 1500;
	    }
	} 	
	*/
	
	// connect to server
	
	try {
	    socket = new Socket(server, port);
	    System.out.println("Connected with server " +
				   socket.getInetAddress() +
				   ":" + socket.getPort());
	}
	catch (UnknownHostException e) {
	    System.out.println(e);
	    System.exit(ERROR);
	}
	catch (IOException e) {
	    System.out.println(e);
	    System.exit(ERROR);
	}

	
	try {
	    input_teclado = new BufferedReader(new InputStreamReader(System.in)); 
	    output_pantalla= new PrintWriter(System.out,true);
	    output_socket = new PrintWriter(socket.getOutputStream(),true);
	    input_socket = new BufferedReader(new InputStreamReader(socket.getInputStream()));
	    
	    
	    // get user input and transmit it to server
	    while(true) {
		output_pantalla.println("Introduzca comando: ");
		lineToBeSent = input_teclado.readLine();
		// stop if input line is "."
		if(lineToBeSent.equals("exit")) break;
		output_socket.println(lineToBeSent);
		
		String str;
		str = input_socket.readLine();
		output_pantalla.println("respuesta: ");
		output_pantalla.println(str);
	    }
	    
	}
	catch (IOException e) {
	    System.out.println(e);
	}

	try {
	    socket.close();
	}
	catch (IOException e) {
	    System.out.println(e);
	}
    }    
}
